using Fenryxo.Test.Assert;
using Fenryxo.Test;

class StringTest: Fenryxo.Test.TestCase{
	construct{
		add_task("equality", test_equality);
		add_task("parts", test_parts, {"equality"});
	}
		
	public void test_equality() throws TestError{
		cmp_str("hello", "!=", "hi");
		cmp_str("hello", "==", "hello");
	}
	
	public void test_parts() throws TestError{
		cmp_str("internationalization", "=~", "inter");
		cmp_str("internationalization", "~=", "zation");
		cmp_str("internationalization", "~=~", "nation");
		cmp_str("auto", "<", "bus");
		cmp_str("auto", "<=", "auto");
		cmp_str("bus", ">", "auto");
		cmp_str("bus", ">=", "bus");
	}
}
