namespace Nuvola
{

int main(string[] args)
{
	set_up_env(false);
	
	Test.init(ref args);
	Test.log_set_fatal_handler(() => { return false;});
	Gtk.init(ref args);
	TestSuite root = TestSuite.get_root();
	
	root.add_suite(new Nuvola.ServicesManagerTest().get_suite());
	root.add_suite(new Nuvola.Extensions.Lyrics.CachedLyricsTest().get_suite());
	root.add_suite(new Nuvola.Extensions.Lyrics.AZLyricsTest().get_suite());
	root.add_suite(new Diorite.SimpleDocBufferTest().get_suite());
	root.add_suite(new Nuvola.JSApiTest().get_suite());
	return Test.run();
}

} // namespace Nuvola
