#!/bin/bash
OUT=/tmp/nuvoladoc
valadoc -o "$OUT" --verbose -b src --force \
--vapidir vapi --vapidir /usr/share/vala-0.14/vapi \
--package-name=nuvolaplayer --package-version=1.1.0 \
--pkg=glib-2.0 --pkg=gio-2.0 --pkg=libsoup-2.4 \
--pkg=x11 --pkg=unique-1.0 --pkg=javascriptcore \
--pkg=libfenryxo --pkg=posix --pkg=json-glib-1.0 \
--pkg=libsoup-cache-2.4 --pkg=config --pkg=unity \
--pkg=Dbusmenu-0.4 --pkg=gtk+-2.0 --pkg=gdk-2.0 \
--pkg=webkit-1.0 --pkg=gdk-x11-2.0 --pkg=libnotify \
-D UNITY_QUICK_LIST -D EXPERIMENTAL -D GLIB_DBUS \
-D HAVE_GLIB_2_26 -D LIBSOUP_CACHE -D VALAC_0_13 \
src/core/*.vala src/gui/*.vala src/plugins/*.vala libfenryxo/*.vala
