(function(Nuvola){

if(!Nuvola)
	throw new Error("Nuvola is false");

if (("" + Nuvola) != "[object Nuvola JavaScript API]")
	throw new Error("Nuvola is not JavaScript API");

if (Nuvola.frame_id != "iframe2")
	throw new Error("Unexpected frame id: " + Nuvola.frame_id);

var result;
try
{
	result = Nuvola.injectToFrame();
}
catch(e)
{
	result = undefined;
}
if (result !== undefined)
	throw new Error("Call without arguments should fail.");

result = Nuvola.injectToFrame("iframe0");
if (result !== false)
	throw new Error("Call with iframe0 name should fail.");

result = Nuvola.injectToFrame("iframe1", "thefirst", true);
if (result !== true)
	throw new Error("Call with iframe1 (toplevel true) should not fail.");

result = Nuvola.injectToFrame("iframe1", "thefirst", false);
if (result !== true)
	throw new Error("Call with iframe1 (toplevel false) should not fail.");

result = Nuvola.injectToFrame("iframe3");
if (result !== true)
	throw new Error("Call with iframe3 name should not fail.");
	
result = Nuvola.injectToFrame("iframe3", null, false);
if (result !== true)
	throw new Error("Call with iframe3 (toplevel false) name should not fail.");

})(this);
