namespace Nuvola
{

class InfoBarDemo: GuiDemo
{
	private Gtk.Window window;
	
	construct
	{
		var box = new Gtk.Grid();
		box.orientation = Gtk.Orientation.VERTICAL;
		
		box.add(new Diorite.InfoBar.warning("This is <b>a warning</b>."));
		box.add(new Diorite.InfoBar.info("This is <b>info</b>."));
		box.add(new Diorite.InfoBar.error("This is <b>an error</b>."));
		
		var bar = new Diorite.InfoBar(Gtk.Stock.PASTE, "<b>This is a clipboard.</b> You can tore there a very long text that can wrap.");
		bar.add_button(new Gtk.Button.with_label("Copy"));
		bar.add_button(new Gtk.Button.with_label("Paste"));
		box.add(bar);
		
		
		var label = new Gtk.Label("Hello!");
		label.expand = true;
		box.add(label);
		
		window = new Gtk.Window();
		window.add(box);
		window.show_all();
	}
	
	~MainWindowTest()
	{
		window.destroy();
	}
}

} //namespace Nuvola
