
namespace GLib{
	public enum Operator{
		[CCode(cname="==")]
		EQ,
		[CCode(cname="!=")]
		NEQ,
		[CCode(cname=">")]
		GT,
		[CCode(cname=">=")]
		QTE,
		[CCode(cname="<")]
		LT,
		[CCode(cname="<=")]
		LTE
	}
	
	[CCode(cname="g_assert_cmpstr")]
	public bool assert_cmpstr(string value1, Operator operator, string value2);
	
	[CCode(cname="g_assert_cmpint")]
	public bool assert_cmpint(int value1, Operator operator, int value2);
	
	[CCode(cname="g_assert_cmpuint")]
	public bool assert_cmpuint(uint value1, Operator operator, uint value2);
	
	[CCode(cname="g_assert_cmpfloat")]
	public bool assert_cmpfloat(float value1, Operator operator, float value2);
}
